<?xml version="1.0" encoding="UTF-8"?>
<!--+
    | Copyright 2010 Tilburg University
    |
    | Licensed under the Apache License, Version 2.0 (the "License");
    | you may not use this file except in compliance with the License.
    | You may obtain a copy of the License at
    |
    |     http://www.apache.org/licenses/LICENSE-2.0
    |
    | Unless required by applicable law or agreed to in writing, software
    | distributed under the License is distributed on an "AS IS" BASIS,
    | WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    | See the License for the specific language governing permissions and
    | limitations under the License.
    |
    +-->

<xsl:stylesheet
  version="1.0"
  exclude-result-prefixes="dc"
  xmlns:dc="http://purl.org/dc/elements/1.1/" 
  xmlns:foaf="http://xmlns.com/foaf/0.1/" 
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/employee">
    <rdf:RDF>
      <xsl:apply-templates select="affiliations/affiliation"/>
      <foaf:Person>
        <xsl:attribute name="rdf:nodeID">
          <xsl:value-of select="mailname"/>
        </xsl:attribute>
        <foaf:name><xsl:value-of select="webwijsfullname"/></foaf:name>
        <dc:identifier><xsl:text>http://www.tilburguniversity.nl/dai/</xsl:text><xsl:value-of select="anr"/></dc:identifier>
      </foaf:Person>
    </rdf:RDF>
  </xsl:template>

  <xsl:template match="affiliation">
    <foaf:Organization>
      <xsl:attribute name="rdf:nodeID">
        <xsl:value-of select="faculty_abbreviation"/>
      </xsl:attribute>
      <foaf:name><xsl:value-of select="faculty_EN"/></foaf:name>
    </foaf:Organization>
  </xsl:template>
    
</xsl:stylesheet>
